View Issue Details

IDProjectCategoryView StatusLast Update
0019763LazarusLCLpublic2011-08-05 18:35
ReporterLuiz AmericoAssigned ToMartin Friebe 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product VersionProduct Build 
Target VersionFixed in Version0.9.31 (SVN) 
Summary0019763: Is not possible remove fsBold style from TDividerBevel.Font
DescriptionTry to unset fsBold at designtime from TDividerBevel.Font. In runtime the caption will be show with bold
TagsNo tags attached.
Fixed in Revision31876
LazTarget0.99.0
Widgetset
Attached Files

Activities

Anton

2011-07-19 13:08

reporter   ~0050056

in components\lazcontrols:

--- dividerbevel.pas Mon Mar 14 14:54:46 2011
+++ dividerbevel.pas.my Tue Jul 19 14:29:52 2011
@@ -175,7 +175,8 @@ constructor TDividerBevel.Create(AOwner:
 begin
   inherited Create(AOwner);
   ControlStyle := [csSetCaption];
- Font.Style := Font.Style + [fsBold];
+ if csDesigning in ComponentState then
+ Font.Style := Font.Style + [fsBold];
   FCaptionSpacing := 10;
   LeftIndent := 60;
   FNeedCalcSize := True;

Martin Friebe

2011-08-05 15:44

manager   ~0050483

Please test and close if ok

Issue History

Date Modified Username Field Change
2011-07-18 03:42 Luiz Americo New Issue
2011-07-18 03:42 Luiz Americo LazTarget => -
2011-07-18 15:55 Martin Friebe Status new => assigned
2011-07-18 15:55 Martin Friebe Assigned To => Martin Friebe
2011-07-19 13:08 Anton Note Added: 0050056
2011-08-05 15:44 Martin Friebe Fixed in Revision => 31876
2011-08-05 15:44 Martin Friebe LazTarget - => 0.99.0
2011-08-05 15:44 Martin Friebe Status assigned => resolved
2011-08-05 15:44 Martin Friebe Fixed in Version => 0.9.31 (SVN)
2011-08-05 15:44 Martin Friebe Resolution open => fixed
2011-08-05 15:44 Martin Friebe Note Added: 0050483
2011-08-05 15:44 Martin Friebe Target Version => 0.99.0
2011-08-05 18:35 Luiz Americo Status resolved => closed